\documentclass[10pt,a4paper]{report}
\usepackage[top=3cm, bottom=2.5cm, left=3cm, right=2.5cm] {geometry}
\usepackage {bsymb,b2latex}
\usepackage[utf8]{inputenc}
\usepackage{fancyhdr,lastpage,color}
\lhead{\rm An Event-B Specification of Algorithm}
\rhead {\rm Page \thepage~of \pageref{LastPage}}
\lfoot{}\cfoot{}\rfoot{}
\pagestyle{fancy}
%---------------------------------------------------------
\begin{document}
\thispagestyle{empty}
\begin{description}
\BTitle{Algorithm}{11Dec2016}{09:45:08 PM}
\MACHINE{Algorithm}
\SEES{Context}
\VARIABLES
	\begin{description}
		\Item{ x }
		\Item{ y }
		\Item{ pc }
	\end{description}
\INVARIANTS
	\begin{description}
		\nItem{ inv1 }{ x \in  \intg   }
		\nItem{ inv2 }{ y \in  \intg   }
		\nItem{ inv3 }{ pc=l1 \limp  x=1 \land  y=12 }
		\nItem{ inv4 }{ pc=l2 \limp  x=24\land y=12 }
		\nItem{ inv5 }{ pc \in  LOCATIONS }
	\end{description}
\EVENTS
	\INITIALISATION
		\begin{description}
		\BeginAct
			\begin{description}
			\nItem{ act1 }{ x :=  1 }
			\nItem{ act2 }{ y :=  12 }
			\nItem{ act3 }{ pc :=  l1 }
			\end{description}
		\EndAct
		\end{description}
	\EVT {al1al2}
		\begin{description}
		\WhenGrd
			\begin{description}
			\nItem{ grd1 }{ pc=l1 }
			\end{description}
		\ThenAct
			\begin{description}
			\nItem{ act1 }{ x:= 2* y }
			\nItem{ act2 }{ pc:= l2 }
			\end{description}
		\EndAct
		\end{description}
\END
\end{description}
\end{document}
